Name:           vte291
Version:        0.62.3
Release:        1
Summary:        Virtual terminal widget
License:        LGPLv2+ and GPLv3+
URL:            http://www.gnome.org/
Source0:        http://download.gnome.org/sources/vte/0.62/vte-%{version}.tar.xz
Patch0000:      vte291-cntnr-precmd-preexec-scroll.patch

BuildRequires:  gcc-c++ gettext pkgconfig(gnutls) >= 3.2.7
BuildRequires:  gobject-introspection-devel gperf pkgconfig(gtk+-3.0) >= 3.24.22
BuildRequires:  pkgconfig(libpcre2-8) >= 10.21 vala systemd gtk-doc meson
BuildRequires:  pkgconfig(fribidi) >= 1.0.0 pkgconfig(gio-2.0) >= 2.52.0
BuildRequires:  pkgconfig(glib-2.0) >= 2.52.0 pkgconfig(gobject-2.0) >= 2.52.0
BuildRequires:  pkgconfig(icu-uc) >= 4.8 pkgconfig(libsystemd) >= 220
BuildRequires:  pkgconfig(pango) >= 1.22.0
Requires:       gnutls >= 3.2.7 gtk3 >= 3.24.22 pcre2 >= 10.21
Requires:       fribidi >= 1.0.0 glib2 >= 2.52.0 pango >= 1.22.0
Requires:       libicu >= 4.8 systemd
Conflicts:      gnome-terminal < 3.20.1-2 vte3 < 0.36.1-3
Provides:       vte-profile = %{version}-%{release}
Obsoletes:      vte-profile < %{version}-%{release}

%description
VTE provides a virtual terminal widget for GTK applications.VTE
is mainly used in gnome-terminal, but can also be used to embed a
console/terminal in games, editors, IDEs, etc.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The package contains libraries and header files for developing applications that use vte291.

%prep
%autosetup -n vte-%{version} -p1
%if 0%{?flatpak}
# Install user units where systemd macros expect them
sed -i -e "/^vte_systemduserunitdir =/s|vte_prefix|'/usr'|" meson.build
%endif

%build
%meson --buildtype=plain -Ddocs=true
%meson_build

%install
%meson_install
%find_lang vte-2.91

%files -f vte-2.91.lang
%license COPYING.GPL3
%{_libdir}/libvte-*.so.0*
%{_libdir}/girepository-1.0/
%{_userunitdir}/vte-spawn-.scope.d
%{_libexecdir}/vte-urlencode-cwd
%{_sysconfdir}/profile.d/vte.sh
%{_sysconfdir}/profile.d/vte.csh

%files devel
%{_bindir}/vte-*
%{_includedir}/vte-2.91/
%{_libdir}/libvte-*.so
%{_libdir}/pkgconfig/vte-*.pc
%{_datadir}/gir-1.0/
%doc %{_datadir}/gtk-doc/
%{_datadir}/vala/

%changelog
* Mon May 24 2021 weijin deng <weijin.deng@turbolinux.com.cn> - 0.62.3-1
- Upgrade to 0.62.3
- Update Version, uncorrect date

* Tue Dec 22 2020 huanghaitao <huanghaitao8@huawei.com> - 0.62.1-1
- Updata to 0.62.1 

* Fri Jun 19 2020 wangyue <wangyue92@huawei.com> - 0.54.1-5
- DESC:Make binding tests compile without warning

* Mon Oct 21 2019 Lijin Yang <yanglijin@huawei.com> - 0.54.1-4
- Package init
